CREATE TABLE IF NOT EXISTS table1 (
  id char(32) NOT NULL,
  text varchar(255) NOT NULL,
  PRIMARY KEY  (id)
);

GO


INSERT INTO SchemaChanges(MajorReleaseNumber, MinorReleaseNumber, PointReleaseNumber, ScriptName, DateApplied)
    (SELECT
        '01' AS MajorReleaseNumber,
	'00' AS MinorReleaseNumber,
	'0000' AS PointReleaseNumber,
        'initial install' AS ScriptName,
        NOW() AS DateApplied
    FROM
        SchemaChanges
    WHERE
        MajorReleaseNumber = '01'
        AND MinorReleaseNumber = '00'
        AND PointReleaseNumber = '0000'
        AND ScriptName = 'initial install'
    HAVING COUNT(*) = 0
    );


